
#define BLACK		"Black"
#define WHITE		"White"

/*
 * Defaults for rootwins:
 */

#define DEF_ROOTWIN_BG_COLOR		NULL
#define DEF_ROOTWIN_BG_MONO		BLACK
#define DEF_ROOTWIN_CLASS		"Rootwin"
#define DEF_ROOTWIN_COLORMAP		""
#define DEF_ROOTWIN_CURSOR		""
#define DEF_ROOTWIN_TAKE_FOCUS		"0"
#define DEF_ROOTWIN_VISUAL		""
#define DEF_ROOTWIN_SCREEN		""

/*
 * Type DrawableGeometry stores the attributes returned
 * by the XGetGeometry call in a convenient form.
 */

typedef struct {
    Window rootwin;			/* Root window for drawable     */
    int x,y;				/* Upper-left corner of window's
					 * border, relative to parent's
					 * origin. (Zero for pixmaps.)  */
    unsigned int width, height;		/* Width and height (duh)       */
    unsigned int border_width, depth;   /* Border width and depth (in
					 * bits) of drawable            */
} Tkwm_DrawableGeometry;

